Subject: [netatalk-admins] directory permissions

From: "Robert B. Bell" <[email-masked]>
Date: Wed, 16 Dec 1998 12:48:44 -0800

Hi all,

I am new this netatalk stuff.

I am having problems with permissions when
copying from the Mac's desktop to the netatalk server
and when trashing file and folders.

I set the permissions on most of the directories to 2755.
I have all the users in a group called "users".
I have tried the "Network Trash Folder" with owner root (uid=0)
and adm (uid=3).
The "Network Trash Folder" has 2777 permissions.
I do have a few directories in which I want a few people
(in the same group in /etc/group) to be able to write 
to files in that directory to permissions 2775.

I saw one list message talking about 
creating a "Trash Can #" for each user,
but that seems a little wasteful.
Do I need do that?
Or is there other solutions?

Also, what should the permissions be for normal user home directories
and subdirectories?

I am running netatalk 1.4.2b + asun2.1.1 
on Linux 2.0.35 (from Linux Pro 5.4)
My MACs have OS 7.5.3

Thank you,
  Robert Bell.